Start a sprint
The request starts a sprint (changes the sprint status to "in progress").
POST
https://api.tracker.yandex.net/v3/sprints//_start
Request format
To start a sprint, use an HTTP request with the POST method:
POST /v3/sprints/<sprint_id>/_start
Host: api.tracker.yandex.net
Authorization: OAuth <OAuth_token>
Content-Type: application/json
X-Org-ID or X-Cloud-Org-ID: <organization_ID>
If-Match: "<sprint_version>"
Headers
-
Host: The host providing the API. -
Authorization: Authorization token about these formats:-
OAuth <OAuth_token>: For authorization using the OAuth 2.0 protocol. Learn more -
Bearer <IAM_token>: For authorization using an IAM token, if a Yandex Cloud Organization organization is linked to Tracker. Learn more
-
-
Content-Type: Request body format. Must beapplication/json. -
X-Org-IDorX-Cloud-Org-ID: Organization ID.-
Use the
X-Org-IDheader if a Tracker organization is linked to Yandex 360 for Business. -
Use the
X-Cloud-Org-IDheader if a Tracker organization is linked to Yandex Cloud Organization.
To get the organization ID, go to Administration → Organizations and copy the value from the ID field.
-
-
If-Match: The sprint version. Specify this to avoid losing changes during simultaneous editing. You can get theversionparameter value in the sprint information response.
Resource
| Parameter | Description | Data type |
|---|---|---|
| <sprint_id> | Sprint ID. | String |
Response format
If the request is successful, the API returns a response with code 200 OK.
The response body contains a JSON object with the updated sprint parameters.
{
"self": "https://api.tracker.yandex.net/v3/sprints/44**",
"id" : 44**,
"version" : 1435288720020,
"name" : "Sprint 1",
"board" : {
"self": "https://api.tracker.yandex.net/v3/boards/3",
"id" : "3",
"display" : "My board"
},
"status" : "in_progress",
"archived" : false,
"createdBy" : {
"self": "https://api.tracker.yandex.net/v3/users/33********",
"id" : "33********",
"display" : "User Name"
},
"createdAt" : "2024-08-22T21:49:33.570+0000",
"startDate" : "2026-04-07",
"endDate" : "2026-04-10",
"startDateTime": "2026-04-07T00:00:00.000+0000",
"endDateTime": "2026-04-10T00:00:00.000+0000"
}
Response parameters
| Parameter | Description | Data type |
|---|---|---|
| self | The address of the API resource that contains the sprint parameters. | String |
| id | Sprint ID. | Number |
| version | Sprint version. Each change to the sprint increments the version number. | Number |
| name | Sprint name. | String |
| board | An object with information about the board to which the sprint's issues belong. | String |
| status | Sprint status. After starting the sprint, the status changes to in_progress. |
String |
| archived | Whether the sprint is archived:
|
Boolean |
| createdBy | An object with information about the sprint creator. | Object |
| createdAt | The date and time when the sprint was created, in the format: YYYY-MM-DDThh:mm:ss.sss±hhmm |
String |
| startDate | The sprint start date, in the format: YYYY-MM-DD |
String |
| endDate | The sprint end date, in the format: YYYY-MM-DD |
String |
| startDateTime | The actual sprint start date and time, in the format: YYYY-MM-DDThh:mm:ss.sss±hhmm |
String |
| endDateTime | The actual sprint end date and time, in the format: YYYY-MM-DDThh:mm:ss.sss±hhmm |
String |
Fields of the board object
| Parameter | Description | Data type |
|---|---|---|
| self | The address of the API resource that contains information about the board. | String |
| id | Board ID. | String |
| display | The board display name. | String |
Fields of the createdBy object
| Parameter | Description | Data type |
|---|---|---|
| self | The address of the API resource that contains information about the user. | String |
| id | User ID. | String |
| display | The user's display name. | String |
If the request wasn't processed successfully, the response contains information about the errors that occurred:
- 400
- One or more request parameters have an invalid value.
- 403
- You are not authorized to perform this action. You can check what rights you have in the Tracker interface. The same rights are required to perform an action via the API and interface.
- 404
- The requested object was not found. You may have specified an invalid object ID or key.
- 500
- Internal service error. Try again later.
- 503
- The API service is temporarily unavailable.